Subject: Re: exim-4.76-1 fails to remove lock from spooler on delivery
From: Zdzislaw Meglicki <[email-masked]>
To: "Pierre A. Humblet" <[email-masked]>
Cc: [email-masked]
Date: Wed, 26 Oct 2011 15:13:03 -0700 (PDT)
List-Id: <cygwin.cygwin.com>

I wonder why this should be a problem. The file does exist on my system and it 
should be readable and executable to groups root and  SYSTEM:

$ cd /cygdrive/c/Windows/system32
$ ls -l winmm.dll
-rwxrwx---+ 2 ???????? ???????? 194048 Nov 20  2010 winmm.dll
$ getfacl winmm.dll
# file: winmm.dll
# owner: ????????
# group: ????????
user::rwx
group::rwx
group:root:r-x
group:SYSTEM:r-x
group:Users:r-x
mask:rwx
other:---
$ 

Perhaps I should add explicit ACLs for users SYSTEM and cyg_server?

Cheers,
Gustav

Zdzislaw (Gustav) Meglicki
Indiana University
________________________________

Pierre:

I was able to replicate the problem on Windows 7:
The delivery process crashes because it can't load winmm.dll

16:06:33  3572 writing data block fd=6 size=1 timeout=0
      6 [main] exim 3572 C:\Program Files\cygwin\bin\exim-4.76-1.exe: ***
fatal error - unable to load C:\Windows\system32\winmm.dll, Win32 error 1114
16:06:33  5620 LOG: MAIN PANIC
16:06:33  5620  failed to read delivery status for phumblet@phumblet-lap01w
from delivery subprocess

So it's a Cygwin issue... I think it has been discussed before but I am not
sure if there is a solution.

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple